# Get the list of inputs in a fault template

Get the list of inputs in a fault template based on revision

Endpoint: GET /gateway/chaos/manager/api/rest/faulttemplates/{identity}/variables
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `hubIdentity` (string, required)
    reference of the hub i.e. hub ID

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `revision` (string, required)
    revision of the 1st fault template

## Path parameters:

  - `identity` (string, required)
    identity of the fault

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `faultAuthentication` (array)

  - `faultAuthentication.allowedValues` (array)

  - `faultAuthentication.category` (string)
    Enum: "FaultTarget", "FaultTunable", "TargetInfra", "ExperimentTunable", "ActionProperties", "ProbeProperties", "RunProperties", "FaultAuthentication"

  - `faultAuthentication.default` (any)

  - `faultAuthentication.description` (string)

  - `faultAuthentication.name` (string, required)

  - `faultAuthentication.path` (string)

  - `faultAuthentication.required` (boolean)

  - `faultAuthentication.stringify` (boolean)

  - `faultAuthentication.tags` (array)

  - `faultAuthentication.tooltipId` (string)

  - `faultAuthentication.type` (string)
    Enum: "String", "Integer", "Boolean", "Number", "SecretFile", "SecretText"

  - `faultAuthentication.validator` (string)

  - `faultAuthentication.value` (any, required)

  - `faultTargets` (array)

  - `faultTunable` (array)

  - `inputs` (array)

  - `variables` (array)
    CHAOS-11100

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


